Bug 1311722 - Deleting a multi-version cartridge on the node fails silently
Summary: Deleting a multi-version cartridge on the node fails silently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 2.2.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-24 20:07 UTC by Timothy Williams
Modified: 2016-08-24 19:44 UTC (History)
6 users (show)

Fixed In Version: openshift-origin-node-util-1.38.7.1-1.el6op
Doc Type: Bug Fix
Doc Text:
Cause: The cartridge remove command will remove all software versions for the given cartridge version from the cartridge repository. However, the output from the help menu is not clear. Consequence: Users may accidentally delete all software versions for the given cartridge version. Fix: A better instruction output from help menu is added to make sure users aware of the behavior. Result: If the users read the instruction from help menu, they shouldn't get confused and accidentally delete cartridges that they don't want to delete.
Clone Of:
Environment:
Last Closed: 2016-08-24 19:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC

Description Timothy Williams 2016-02-24 20:07:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  1) Install a custom cartridge with two software versions. Easiest way to do this is to copy the mysql cartridge and modify the menifest.yml to have a different cartirdge-version and name
  2) Install the custom cartridge
      oo-admin-cartridge -a install -s /path/to/custom/cart/source
  3) Check the cartridge list to verify the new versions are installed
  4) Attempt to remove one of the cartridge versions:
      oo-admin-cartridge -a erase -c ... -v 5.1

Actual results:
The command reports 'success', but the cartridge is still shown in `oo-admin-cartridge --list`

Expected results:
The command reports 'success' and the cartridge is actually deleted.

Additional info:
Manually deleting the cartridge resolves the issue, but removes both versions of the cartridge.

Comment 3 Timothy Williams 2016-06-23 20:38:29 UTC
AMENDEMENT:

In step 4, the command should include the -n argument.

Comment 4 openshift-github-bot 2016-06-24 21:33:12 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/02a9ec8803586194e63d0c23390ed43de19b1cc1
Bug 1311722 Modify docs for oo-admin-cartridge -a erase command

This PR modifies the manpage and the output of --help option to
highlight the fact that 'oo-admin-cartridge -a erase' will remove all
version of given cartridge version despite users may only specify
only one version in '-v' argument.

Bug: 1311722
Link: <https://bugzilla.redhat.com/show_bug.cgi?id=1311722>

Signed-off-by: Vu Dinh <vdinh@redhat.com>

Comment 7 errata-xmlrpc 2016-08-24 19:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.